import { MarkdownEditor } from '@mdefy/markdown-editor-core';
import { StatusbarItemName, StatusbarItemNormalized } from '../types/statusbar';
export declare class StatusbarService {
    private _defaultItems;
    /**
     * The default configurations of all items.
     */
    get DEFAULT_ITEMS(): StatusbarItemNormalized[];
    /**
     * The default statusbar setup.
     */
    DEFAULT_STATUSBAR: StatusbarItemName[];
    /**
     * Returns the default configuration of the item with the specified name.
     * Returns `undefined`, if no item with the specified name can be found.
     */
    getDefaultItem(itemName: string): StatusbarItemNormalized | undefined;
    /**
     * Defines the default statusbar items.
     * Cannot be done statically as the values depend on the `MarkdownEditor` instance.
     */
    defineDefaultItems(mde: MarkdownEditor): void;
}
