import { MarkdownEditorComponent } from '../component/markdown-editor.component';
import { ToolbarItemName, ToolbarItemNormalized } from '../types/toolbar';
export declare class ToolbarService {
    private _defaultItems;
    /**
     * The default configurations of all items
     */
    get DEFAULT_ITEMS(): ToolbarItemNormalized[];
    /**
     * The default toolbar setup.
     */
    readonly DEFAULT_TOOLBAR: ToolbarItemName[];
    /**
     * Returns the default configuration of the item with the specified name.
     * Returns `undefined`, if no item with the specified name can be found.
     */
    getDefaultItem(itemName: string): ToolbarItemNormalized | undefined;
    /**
     * Defines the default toolbar items.
     * Cannot be done statically as the actions depend on the `MarkdownEditorComponent` instance.
     */
    defineDefaultItems(ngxMde: MarkdownEditorComponent): void;
    private isListTypeActive;
    private isCodeTypeActive;
}
