import { Observable } from 'rxjs';
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'change'): Observable<{
    instance: CodeMirror.Editor;
    changeObj: CodeMirror.EditorChangeLinkedList;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'changes'): Observable<{
    instance: CodeMirror.Editor;
    changes: CodeMirror.EditorChangeLinkedList[];
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'beforeChange'): Observable<{
    instance: CodeMirror.Editor;
    changeObj: CodeMirror.EditorChangeCancellable;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'cursorActivity'): Observable<{
    instance: CodeMirror.Editor;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'keyHandled'): Observable<{
    instance: CodeMirror.Editor;
    name: string;
    event: KeyboardEvent;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'inputRead'): Observable<{
    instance: CodeMirror.Editor;
    changeObj: CodeMirror.EditorChange;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'electricInput'): Observable<{
    instance: CodeMirror.Editor;
    line: number;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'beforeSelectionChange'): Observable<{
    instance: CodeMirror.Editor;
    obj: CodeMirror.EditorSelectionChange;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'viewportChange'): Observable<{
    instance: CodeMirror.Editor;
    from: number;
    to: number;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'swapDoc'): Observable<{
    instance: CodeMirror.Editor;
    oldDoc: CodeMirror.Doc;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'gutterClick'): Observable<{
    instance: CodeMirror.Editor;
    line: number;
    gutter: string;
    clickEvent: MouseEvent;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'gutterContextMenu'): Observable<{
    instance: CodeMirror.Editor;
    line: number;
    gutter: string;
    contextMenu: MouseEvent;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'focus'): Observable<{
    instance: CodeMirror.Editor;
    event: FocusEvent;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'blur'): Observable<{
    instance: CodeMirror.Editor;
    event: FocusEvent;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'scroll'): Observable<{
    instance: CodeMirror.Editor;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'refresh'): Observable<{
    instance: CodeMirror.Editor;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'optionChange'): Observable<{
    instance: CodeMirror.Editor;
    option: string;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'scrollCursorIntoView'): Observable<{
    instance: CodeMirror.Editor;
    event: Event;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'update'): Observable<{
    instance: CodeMirror.Editor;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'renderLine'): Observable<{
    instance: CodeMirror.Editor;
    line: CodeMirror.LineHandle;
    element: HTMLElement;
}>;
export declare function fromCmEvent(cm: CodeMirror.Editor, eventName: 'overwriteToggle'): Observable<{
    instance: CodeMirror.Editor;
    overwrite: boolean;
}>;
export declare function fromCmEvent<K extends CodeMirror.DOMEvent & keyof GlobalEventHandlersEventMap>(cm: CodeMirror.Editor, eventName: K): Observable<{
    instance: CodeMirror.Editor;
    event: GlobalEventHandlersEventMap[K];
}>;
export declare function fromCmEvent<K extends CodeMirror.DOMEvent & keyof DocumentAndElementEventHandlersEventMap>(cm: CodeMirror.Editor, eventName: K): Observable<{
    instance: CodeMirror.Editor;
    event: DocumentAndElementEventHandlersEventMap[K];
}>;
